#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'configui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configui.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <klineedit.h>
#include <keditlistbox.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KSpell2ConfigUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KSpell2ConfigUI::KSpell2ConfigUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KSpell2ConfigUI" );
    KSpell2ConfigUILayout = new TQGridLayout( this, 1, 1, 11, 6, "KSpell2ConfigUILayout"); 

    m_langCombo = new KComboBox( FALSE, this, "m_langCombo" );

    KSpell2ConfigUILayout->addWidget( m_langCombo, 0, 1 );

    groupBox1 = new TQGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, TQt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new TQGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( TQt::AlignTop );

    m_bgSpellCB = new TQCheckBox( groupBox1, "m_bgSpellCB" );

    groupBox1Layout->addWidget( m_bgSpellCB, 0, 0 );

    m_skipUpperCB = new TQCheckBox( groupBox1, "m_skipUpperCB" );

    groupBox1Layout->addWidget( m_skipUpperCB, 1, 0 );

    m_skipRunTogetherCB = new TQCheckBox( groupBox1, "m_skipRunTogetherCB" );

    groupBox1Layout->addWidget( m_skipRunTogetherCB, 2, 0 );

    KSpell2ConfigUILayout->addMultiCellWidget( groupBox1, 1, 1, 0, 1 );

    textLabel1 = new TQLabel( this, "textLabel1" );

    KSpell2ConfigUILayout->addWidget( textLabel1, 0, 0 );

    m_ignoreListBox = new KEditListBox( this, "m_ignoreListBox" );
    m_ignoreListBox->setButtons( int( KEditListBox::Remove | KEditListBox::Add ) );

    KSpell2ConfigUILayout->addMultiCellWidget( m_ignoreListBox, 2, 2, 0, 1 );
    languageChange();
    resize( TQSize(577, 441).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KSpell2ConfigUI::~KSpell2ConfigUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KSpell2ConfigUI::languageChange()
{
    TQWhatsThis::add( m_langCombo, tr2i18n( "This is the default language that the spell checker will use. The drop down box will list all of the dictionaries of your existing languages." ) );
    groupBox1->setTitle( tr2i18n( "Options" ) );
    m_bgSpellCB->setText( tr2i18n( "Enable &background spellchecking" ) );
    TQWhatsThis::add( m_bgSpellCB, tr2i18n( "If checked, the \"spell as you type\" mode is active and all misspelled words are immediately highlighted." ) );
    m_skipUpperCB->setText( tr2i18n( "Skip all &uppercase words" ) );
    TQWhatsThis::add( m_skipUpperCB, tr2i18n( "If checked, words that consist of only uppercase letters are not spell checked. This is useful if you have a lot of acronyms, such as TDE for example." ) );
    m_skipRunTogetherCB->setText( tr2i18n( "S&kip run-together words" ) );
    TQWhatsThis::add( m_skipRunTogetherCB, tr2i18n( "If checked, concatenated words made of existing words are not spell checked. This is useful in some languages." ) );
    textLabel1->setText( tr2i18n( "Default language:" ) );
    m_ignoreListBox->setTitle( tr2i18n( "Ignore These Words" ) );
    TQWhatsThis::add( m_ignoreListBox, tr2i18n( "To add a word you want to ignore, type it in the top edit field and click Add. To remove a word, highlight it in the list and click Remove." ) );
}

/****************************************************************************
** KSpell2ConfigUI meta object code from reading C++ file 'configui.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "configui.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KSpell2ConfigUI::className() const
{
    return "KSpell2ConfigUI";
}

TQMetaObject *KSpell2ConfigUI::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KSpell2ConfigUI( "KSpell2ConfigUI", &KSpell2ConfigUI::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KSpell2ConfigUI::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KSpell2ConfigUI", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KSpell2ConfigUI::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KSpell2ConfigUI", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KSpell2ConfigUI::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KSpell2ConfigUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KSpell2ConfigUI.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KSpell2ConfigUI::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KSpell2ConfigUI" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool KSpell2ConfigUI::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KSpell2ConfigUI::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KSpell2ConfigUI::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool KSpell2ConfigUI::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
